import main


class PartCommand:
    def __init__(self, *args):
        self.part(*args)

    def part(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 4:
                if not spl[1] in main.network.keys():
                    failure("Network does not exist: %s" % spl[1])
                    return
                if not int(spl[2]) in main.network[spl[1]].relays.keys():
                    failure("Relay % does not exist on network %", (spl[2], spl[1]))
                    return
                if not spl[1] + spl[2] in main.IRCPool.keys():
                    failure("Name has no instance: %s" % spl[1] + spl[2])
                    return
                main.IRCPool[spl[1] + spl[2]].part(spl[3])
                success("Left %s" % spl[3])
                return
            else:
                incUsage("part")
                return
        else:
            incUsage(None)
